package dk.apaq.framework.repository;

/**
 * Interface that is implemented by repositoress that notifies listeners about its actions.
 */
public interface RepositoryNotifier {

    /**
     * Adds a new listener to the notifier.
     */
    void addListener(RepositoryListener listener);

    /**
     * Removes a listener from the notifier.
     */
    void removeListener(RepositoryListener listener);


}
